      program co_seasons 
!                                                                       
!     ***************************************************************0**
! *   Compute_Seasons: computation of Solstices & equinox               
! *                    for a list of years                              
!     P. Robert, Jan. 2018                                              
!     ***************************************************************0**
!                                                                       
      character*5 ct_sso,ct_wso,ct_seq,ct_feq 
      integer year_1,year_2 
!                                                                       
      print 100 
      print 100, '************************************************' 
      print 100, 'co_seasons: computation of Solstices & equinoxes' 
      print 100, '************************************************' 
      print 100 
!                                                                       
!     id_sso,id_wso : June and december day of summer and               
!                     winter solstice.                                  
!     id_seq,id_feq : same for march and september spring               
!                     and fall equinoxes.                               
!     ct_sso,ct_wso : June and december time of summer and              
!                     winter solstice.                                  
!     ct_seq,ct_feq : same for march and september spring               
!                     and fall equinoxes; Cha*5 (hh:mm)                 
!                                                                       
!                                                                       
      print 100, 'year_1, year_2 ? ex: 1990 2020' 
      read *,     year_1, year_2 
      print*,     year_1, year_2 
      print* 
                                                                        
      print* 
      write(*,100)('=======',i=1,10) 
      write(*,200) 'June solstice  ','dec. solstice  ',                 &
     &             'march equinoxe ','  sept. equinoxe'                 
      write(*,100) 'Year LY',('      DD hh:mm ',i=1,4) 
      write(*,100)('=======',i=1,10) 
                                                                        
      do iyear= year_1, year_2 
                                                                        
      call cp_leap_year(iyear,ily) 
      call cp_seasons(iyear,id_sso,id_wso,id_seq,id_feq,                &
     &                            ct_sso,ct_wso,ct_seq,ct_feq)          
!                                                                       
                                                                        
                                                                        
      write(*,300) iyear,ily, id_sso,ct_sso, id_wso,ct_wso,             &
     &                   id_seq,ct_seq ,id_feq,ct_feq                   
      if(ily.eq.1) write(*,100)('-------',i=1,10) 
                                                                        
      enddo 
                                                                        
  100 format(10a) 
  200 format(9x,4a) 
  300 format(i4,1x,i1,4(7x,i2.2,1x,a5)) 
!                                                                       
      print 100 
      print 100 
                                                                        
      stop 'co_seasons: normal termination' 
      END                                           
